Gå til hovedinnhold

Retrieve information regarding transactions buyer or seller

GET 

/transaction/transaction-parties-information

Transaction Parties Information Endpoint

Overview

This API retrieves information of either the buyer or seller of a transaction.

It supports only batch downloads at the moment.

The API provides information about the buyer and sellers involved transactions and related metadata

This API is particularly useful for applications that requires information of the parties involved in a transaction, either buyer or seller. Additionally, it returns specific details about the individuals or entities involved in the transactions, such as their roles (e.g., buyer or seller), identification numbers, and other relevant personal or organizational data.

Example Requests

curl -X 'GET' \
'https://apis.propcloud.no/api/public/transaction/transaction-parties-information?batch-id=1' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
transferOfRegistryUnitRightIdUnique identifier for the transaction.
The field is called RettsstiftelseId in Grunnboken with the Norwegian Mapping Authority
Unik identifikator for transaksjonen.
Feltet heter RettsstiftelseId i Grunnboken hos Kartverket
Kartverket
registryUnitRightShareIdUnique identifier for the registry unit right share.
The field is called RegisterenhetsrettsandelId in Grunnboken with the Norwegian Mapping Authority
Unik identifikator for registerenhetsrettsandel.
Feltet heter RegisterenhetsrettsandelId i Grunnboken hos Kartverket
Kartverket
registryUnitRightIdUnique identifier for the registry unit right.
The field is called RegisterenhetsrettId in Grunnboken with the Norwegian Mapping Authority
Unik identifikator for registerenhetsretten.
Feltet heter RegisterenhetsrettId i Grunnboken hos Kartverket
Kartverket
personIdUnique identifier for the person in MatrikkelenUnik identifikator for personen i MatrikkelenKartverket
personIdGUnique identifier for the person in GrunnbokenUnik identifikator for personen i GrunnbokenKartverket
personNumberFor physical persons: 6 digit person number (birthdate),
For companies: 9 digit organization number
For fysiske personer: 11-sifret personnummer,
For selskaper: 9-sifret organisasjonsnummer
Kartverket
ownerTypeType of owner, such as individual or companyType eier, for eksempel fysisk person eller selskapKartverket
typeWhether the person was a buyer or seller in the transactionOm personen var kjoper eller selger i transaksjonenKartverket
nameFull name of the buyer / sellerFullt navn paa kjoper / selgerKartverket
numeratorNumerator part of the transaction. Numerator / denominator shows fraction transactedTelleren i transaksjonen. Teller / nevner viser fraksjonen som er transaktertKartverket
denominatorDenominator part of the transaction. Numerator / denominator shows fraction transactedNevneren i transaksjonen. Teller / nevner viser fraksjonen som er transaktertKartverket
batchIdUnique identifier for the batchUnik identifikator for batchenPropCloud
changeTypeThis field indicates whether the document is a new entry or an updated entry, based on the LEGAL_RIGHT_ID. It helps differentiate between newly added documents and those that have been modified.Dette feltet indikerer om dokumentet er en ny oppføring eller en oppdatert oppføring, basert på LEGAL_RIGHT_ID. Det hjelper med å skille mellom nylig tilføyde dokumenter og de som har blitt modifisert.PropCloud
changeIdThis field represents the position of the document in the collection, essentially indicating it as the n-1th document.Dette feltet representerer posisjonen til dokumentet, og indikerer det som det n-te dokumentet.PropCloud
updatedOnThis timestamp field records the date and time when the data was uploaded to MongoDB.Dette tidsstempelfeltet registrerer datoen og klokkeslettet når dataene ble lastet opp til MongoDB.PropCloud
dateThe exact datetime of when was the document was issuedDato og tidspunk dokumentet ble opprettetKartverket

Request

Responses

Successful Response